Package com.ocient.jdbc

# Class SQLStates

java.lang.Object
com.ocient.jdbc.SQLStates

All Implemented Interfaces:
  `Cloneable`

    public final class SQLStates
    extends Object
    implements Cloneable

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static SQLStates` | `AGGREGATION_NOT_ALLOWED` |
`static SQLStates` | `AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION` |
`static SQLStates` | `AGGREGATION_ON_CONSTANT` |
`static SQLStates` | `AMBIGUOUS_COL` |
`static SQLStates` | `BAD_END_FRAME_BOUND` |
`static SQLStates` | `BAD_PARAM_NUM` |
`static SQLStates` | `BAD_RANGE_FRAME_SPECIFICATION` |
`static SQLStates` | `BAD_START_FRAME_BOUND` |
`static SQLStates` | `BAD_USER_PWD` |
`static SQLStates` | `BAD_WINDOWED_ORDER_BY` |
`static SQLStates` | `CALL_ON_CLOSED_OBJECT` |
`static SQLStates` | `CASE_WITHIN_CASE` |
`static SQLStates` | `CLUSTER_ALREADY_EXISTS` |
`static SQLStates` | `CLUSTER_NOT_FOUND` |
`static SQLStates` | `COLUMN_NOT_FOUND` |
`static SQLStates` | `CONFLICT` |
`static SQLStates` | `CONNECTION_ALREADY_EXISTS` |
`static SQLStates` | `CONNECTION_NOT_FOUND` |
`static SQLStates` | `COPY_TARGET_IS_IRD` |
`static SQLStates` | `CORRELATED_SUBQUERY` |
`static SQLStates` | `CREATE_TASK_FAILURE` |
`static SQLStates` | `CURSOR_NOT_ON_ROW` |
`static SQLStates` | `DATABASE_ALREADY_EXISTS` |
`static SQLStates` | `DATABASE_NOT_FOUND` |
`static SQLStates` | `DIVDE_BY_ZERO` |
`static SQLStates` | `DUPLICATE_CTE_NAME` |
`static SQLStates` | `DYNAMIC_LINK_FAILURE` |
`static SQLStates` | `EXCESSIVE_COST` |
`static SQLStates` | `EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT` |
`static SQLStates` | `FAILED_CONNECTION` |
`static SQLStates` | `FAILED_HANDSHAKE` |
`static SQLStates` | `FRAME_SPEC_NOT_ALLOWED` |
`static SQLStates` | `FRAME_WITHOUT_ORDERING` |
`static SQLStates` | `GROUP_ALREADY_EXISTS` |
`static SQLStates` | `GROUP_NOT_FOUND` |
`static SQLStates` | `ID_NOT_FOUND` |
`static SQLStates` | `INCOMPATIBLE_TYPES_IN_CASE` |
`static SQLStates` | `INCOMPATIBLE_TYPES_IN_LIST` |
`static SQLStates` | `INTERNAL_ERROR` |
`static SQLStates` | `INVALID_AGGREGATION` |
`static SQLStates` | `INVALID_ARGUMENT` |
`static SQLStates` | `INVALID_ATTRIBUTE` |
`static SQLStates` | `INVALID_BUFFER_LENGTH` |
`static SQLStates` | `INVALID_BY_EXPRESSION` |
`static SQLStates` | `INVALID_C_DATA_TYPE` |
`static SQLStates` | `INVALID_CASE_CONDITION` |
`static SQLStates` | `INVALID_COLUMN_TYPE` |
`static SQLStates` | `INVALID_COMPARISON` |
`static SQLStates` | `INVALID_CONN_STR_ATTR` |
`static SQLStates` | `INVALID_CURSOR_STATE` |
`static SQLStates` | `INVALID_DATA_TYPE_CONVERSION` |
`static SQLStates` | `INVALID_DESCRIPTOR_FIELD` |
`static SQLStates` | `INVALID_DESCRIPTOR_INDEX` |
`static SQLStates` | `INVALID_DESCRIPTOR_INFORMATION` |
`static SQLStates` | `INVALID_FLOATING_POINT_OPERATION` |
`static SQLStates` | `INVALID_FRAME_BOUNDS` |
`static SQLStates` | `INVALID_IMPLICIT_DESC_HANDLE_USE` |
`static SQLStates` | `INVALID_INPUT` |
`static SQLStates` | `INVALID_JOIN_CONDITION` |
`static SQLStates` | `INVALID_MATRIX_LITERAL` |
`static SQLStates` | `INVALID_NEW_USER_PWD` |
`static SQLStates` | `INVALID_ORDER_BY` |
`static SQLStates` | `INVALID_PARAMETER_MARKER` |
`static SQLStates` | `INVALID_QUERY_PRIORITY` |
`static SQLStates` | `INVALID_RESPONSE_TYPE` |
`static SQLStates` | `INVALID_SQL_DATA_TYPE` |
`static SQLStates` | `IO_ERROR` |
`static SQLStates` | `IS_A_SELECT` |
`static SQLStates` | `JOIN_LEADS_TO_DUPLICATE_COL_NAME` |
`static SQLStates` | `LIST_TYPE_IN_SELECT_LIST` |
`static SQLStates` | `LIST_WITHIN_LIST` |
`static SQLStates` | `MALFORMED_URL` |
`static SQLStates` | `MISSING_NULL_INDICATOR` |
`static SQLStates` | `MISSING_ORDER_BY` |
`static SQLStates` | `ML_MODEL_ALREADY_EXISTS` |
`static SQLStates` | `ML_MODEL_NOT_FOUND` |
`static SQLStates` | `ML_MODEL_ON_EMPTY_SET` |
`static SQLStates` | `NAKED_INTERVAL_TYPE` |
`static SQLStates` | `NEGATIVE_LIMIT` |
`static SQLStates` | `NEGATIVE_OFFSET` |
`static SQLStates` | `NETFLOW_DEMO_RESTRICTIONS_VIOLATED` |
`static SQLStates` | `NETWORK_COMMS_ERROR` |
`static SQLStates` | `NO_AGG_IN_HAVING` |
`static SQLStates` | `NO_CONNECTION` |
`static SQLStates` | `NO_CREATE_CONNECTION_AUTH` |
`static SQLStates` | `NO_CREATE_MLMODEL_AUTH` |
`static SQLStates` | `NO_DROP_CONNECTION_AUTH` |
`static SQLStates` | `NO_DROP_MLMODEL_AUTH` |
`static SQLStates` | `NO_GRANT_AUTH` |
`static SQLStates` | `NO_READ_AUTH` |
`static SQLStates` | `NO_RESULT_SET` |
`static SQLStates` | `NO_ROW_DATA` |
`static SQLStates` | `NO_SUCH_DATABASE` |
`static SQLStates` | `NO_SUCH_FUNCTION` |
`static SQLStates` | `NODE_NOT_FOUND` |
`static SQLStates` | `NOT_A_SELECT` |
`static SQLStates` | `NOT_COMPATIBLE_COLS` |
`static SQLStates` | `NOT_IMPLEMENTED` |
`static SQLStates` | `NULL_OUTPUT_BUFFER` |
`static SQLStates` | `OK` |
`static SQLStates` | `OPERATION_CANCELED` |
`static SQLStates` | `OUT_OF_MEMORY` |
`static SQLStates` | `OUT_OF_RANGE` |
`static SQLStates` | `OUT_OF_TEMP_DISK_SPACE` |
`static SQLStates` | `PLAN_COMPILATION_ERROR` |
`static SQLStates` | `PREVIOUS_RESULT_SET_STILL_OPEN` |
`static SQLStates` | `PRIVILEGE_ALREADY_POSSESSED` |
`static SQLStates` | `PRIVILEGE_NOT_POSSESSED` |
`static SQLStates` | `ROLE_NOT_FOUND` |
`static SQLStates` | `SCALAR_SUBQUERY_CARDINALITY_VIOLATION` |
`static SQLStates` | `SEGMENT_NOT_AVAILABLE` |
`static SQLStates` | `SELECT_AFTER_AGG` |
`static SQLStates` | `SELECT_NUM_COLS_MISMATCH` |
`static SQLStates` | `SEQUENCE_ERROR` |
`static SQLStates` | `ST_POINT_INVALID_CONVERSION_FROM_NULL` |
`static SQLStates` | `STORAGE_SPACE_NOT_FOUND` |
`static SQLStates` | `STORAGESPACE_ALREADY_EXISTS` |
`static SQLStates` | `SYNTAX_ERROR` |
`static SQLStates` | `SYSTEM_INITIALIZING` |
`static SQLStates` | `TABLE_ALREADY_EXISTS` |
`static SQLStates` | `TABLE_NOT_FOUND` |
`static SQLStates` | `TASK_ALREADY_IN_PROGRESS` |
`static SQLStates` | `TKT_LIMIT_REACHED` |
`static SQLStates` | `TKT_RESTRICTIONS_VIOLATED` |
`static SQLStates` | `TRANSLATION_ALREADY_EXISTS` |
`static SQLStates` | `TRANSLATION_NOT_FOUND` |
`static SQLStates` | `TRUNCATION` |
`static SQLStates` | `UNABLE_TO_DECOMPOSE_SINGULAR_MATRIX` |
`static SQLStates` | `UNABLE_TO_INVERT_SINGULAR_MATRIX` |
`static SQLStates` | `UNDEFINED_EXCEPTION` |
`static SQLStates` | `UNEXPECTED_EOF` |
`static SQLStates` | `UNKNOWN_DATA_TYPE` |
`static SQLStates` | `USER_ALREADY_EXISTS` |
`static SQLStates` | `USER_NOT_FOUND` |
`static SQLStates` | `USER_NOT_IN_GROUP` |
`static SQLStates` | `VALUE_TOO_LARGE` |
`static SQLStates` | `VIEW_ALREADY_EXISTS` |
`static SQLStates` | `VIEW_NOT_FOUND` |
`static SQLStates` | `WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT` |
`static SQLStates` | `WRONG_FUNCTION_ARGUMENT_TYPE` |
`static SQLStates` | `WRONG_NUMBER_OF_FUNCTION_ARGUMENTS` |
`static SQLStates` | `WRONG_SHAPE_MATRIX_LITERAL` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`SQLException` | `clone()` |
`SQLException` | `cloneAndSpecify​(String newReason)` |
`boolean` | `equals​(SQLException e)` |
`int` | `getSqlCode()` |
`String` | `getSqlState()` |
`static SQLException` | `newGenericException​(Exception e)` |

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_RESPONSE_TYPE

public static final SQLStates INVALID_RESPONSE_TYPE

### INVALID_COLUMN_TYPE

public static final SQLStates INVALID_COLUMN_TYPE

### MALFORMED_URL

public static final SQLStates MALFORMED_URL

### FAILED_CONNECTION

public static final SQLStates FAILED_CONNECTION

### FAILED_HANDSHAKE

public static final SQLStates FAILED_HANDSHAKE

### INVALID_ARGUMENT

public static final SQLStates INVALID_ARGUMENT

### CALL_ON_CLOSED_OBJECT

public static final SQLStates CALL_ON_CLOSED_OBJECT

### COLUMN_NOT_FOUND

public static final SQLStates COLUMN_NOT_FOUND

### CORRELATED_SUBQUERY

public static final SQLStates CORRELATED_SUBQUERY

### CURSOR_NOT_ON_ROW

public static final SQLStates CURSOR_NOT_ON_ROW

### INVALID_DATA_TYPE_CONVERSION

public static final SQLStates INVALID_DATA_TYPE_CONVERSION

### UNEXPECTED_EOF

public static final SQLStates UNEXPECTED_EOF

### NETWORK_COMMS_ERROR

public static final SQLStates NETWORK_COMMS_ERROR

### PREVIOUS_RESULT_SET_STILL_OPEN

public static final SQLStates PREVIOUS_RESULT_SET_STILL_OPEN

### UNKNOWN_DATA_TYPE

public static final SQLStates UNKNOWN_DATA_TYPE

### BAD_USER_PWD

public static final SQLStates BAD_USER_PWD

### OK

public static final SQLStates OK

### NETFLOW_DEMO_RESTRICTIONS_VIOLATED

public static final SQLStates NETFLOW_DEMO_RESTRICTIONS_VIOLATED

### SYNTAX_ERROR

public static final SQLStates SYNTAX_ERROR

### INTERNAL_ERROR

public static final SQLStates INTERNAL_ERROR

### DUPLICATE_CTE_NAME

public static final SQLStates DUPLICATE_CTE_NAME

### SELECT_NUM_COLS_MISMATCH

public static final SQLStates SELECT_NUM_COLS_MISMATCH

### INVALID_BY_EXPRESSION

public static final SQLStates INVALID_BY_EXPRESSION

### NEGATIVE_LIMIT

public static final SQLStates NEGATIVE_LIMIT

### NEGATIVE_OFFSET

public static final SQLStates NEGATIVE_OFFSET

### WRONG_NUMBER_OF_FUNCTION_ARGUMENTS

public static final SQLStates WRONG_NUMBER_OF_FUNCTION_ARGUMENTS

### AGGREGATION_ON_CONSTANT

public static final SQLStates AGGREGATION_ON_CONSTANT

### WRONG_FUNCTION_ARGUMENT_TYPE

public static final SQLStates WRONG_FUNCTION_ARGUMENT_TYPE

### INVALID_COMPARISON

public static final SQLStates INVALID_COMPARISON

### NO_SUCH_DATABASE

public static final SQLStates NO_SUCH_DATABASE

### STORAGESPACE_ALREADY_EXISTS

public static final SQLStates STORAGESPACE_ALREADY_EXISTS

### AGGREGATION_NOT_ALLOWED

public static final SQLStates AGGREGATION_NOT_ALLOWED

### AMBIGUOUS_COL

public static final SQLStates AMBIGUOUS_COL

### NO_AGG_IN_HAVING

public static final SQLStates NO_AGG_IN_HAVING

### SELECT_AFTER_AGG

public static final SQLStates SELECT_AFTER_AGG

### TABLE_NOT_FOUND

public static final SQLStates TABLE_NOT_FOUND

### DATABASE_ALREADY_EXISTS

public static final SQLStates DATABASE_ALREADY_EXISTS

### TABLE_ALREADY_EXISTS

public static final SQLStates TABLE_ALREADY_EXISTS

### VIEW_ALREADY_EXISTS

public static final SQLStates VIEW_ALREADY_EXISTS

### USER_ALREADY_EXISTS

public static final SQLStates USER_ALREADY_EXISTS

### CLUSTER_ALREADY_EXISTS

public static final SQLStates CLUSTER_ALREADY_EXISTS

### GROUP_ALREADY_EXISTS

public static final SQLStates GROUP_ALREADY_EXISTS

### CONNECTION_ALREADY_EXISTS

public static final SQLStates CONNECTION_ALREADY_EXISTS

### CONNECTION_NOT_FOUND

public static final SQLStates CONNECTION_NOT_FOUND

### TRANSLATION_NOT_FOUND

public static final SQLStates TRANSLATION_NOT_FOUND

### TRANSLATION_ALREADY_EXISTS

public static final SQLStates TRANSLATION_ALREADY_EXISTS

### DATABASE_NOT_FOUND

public static final SQLStates DATABASE_NOT_FOUND

### STORAGE_SPACE_NOT_FOUND

public static final SQLStates STORAGE_SPACE_NOT_FOUND

### VIEW_NOT_FOUND

public static final SQLStates VIEW_NOT_FOUND

### USER_NOT_FOUND

public static final SQLStates USER_NOT_FOUND

### CLUSTER_NOT_FOUND

public static final SQLStates CLUSTER_NOT_FOUND

### GROUP_NOT_FOUND

public static final SQLStates GROUP_NOT_FOUND

### USER_NOT_IN_GROUP

public static final SQLStates USER_NOT_IN_GROUP

### INVALID_ORDER_BY

public static final SQLStates INVALID_ORDER_BY

### LIST_TYPE_IN_SELECT_LIST

public static final SQLStates LIST_TYPE_IN_SELECT_LIST

### LIST_WITHIN_LIST

public static final SQLStates LIST_WITHIN_LIST

### INCOMPATIBLE_TYPES_IN_LIST

public static final SQLStates INCOMPATIBLE_TYPES_IN_LIST

### NO_SUCH_FUNCTION

public static final SQLStates NO_SUCH_FUNCTION

### TKT_RESTRICTIONS_VIOLATED

public static final SQLStates TKT_RESTRICTIONS_VIOLATED

### NO_READ_AUTH

public static final SQLStates NO_READ_AUTH

### NO_CREATE_CONNECTION_AUTH

public static final SQLStates NO_CREATE_CONNECTION_AUTH

### CREATE_TASK_FAILURE

public static final SQLStates CREATE_TASK_FAILURE

### NO_DROP_CONNECTION_AUTH

public static final SQLStates NO_DROP_CONNECTION_AUTH

### NAKED_INTERVAL_TYPE

public static final SQLStates NAKED_INTERVAL_TYPE

### NOT_A_SELECT

public static final SQLStates NOT_A_SELECT

### IS_A_SELECT

public static final SQLStates IS_A_SELECT

### ML_MODEL_NOT_FOUND

public static final SQLStates ML_MODEL_NOT_FOUND

### ML_MODEL_ALREADY_EXISTS

public static final SQLStates ML_MODEL_ALREADY_EXISTS

### NULL_OUTPUT_BUFFER

public static final SQLStates NULL_OUTPUT_BUFFER

### NOT_IMPLEMENTED

public static final SQLStates NOT_IMPLEMENTED

### SEQUENCE_ERROR

public static final SQLStates SEQUENCE_ERROR

### INVALID_ATTRIBUTE

public static final SQLStates INVALID_ATTRIBUTE

### INVALID_INPUT

public static final SQLStates INVALID_INPUT

### DYNAMIC_LINK_FAILURE

public static final SQLStates DYNAMIC_LINK_FAILURE

### BAD_PARAM_NUM

public static final SQLStates BAD_PARAM_NUM

### INVALID_C_DATA_TYPE

public static final SQLStates INVALID_C_DATA_TYPE

### INVALID_SQL_DATA_TYPE

public static final SQLStates INVALID_SQL_DATA_TYPE

### NO_CONNECTION

public static final SQLStates NO_CONNECTION

### INVALID_PARAMETER_MARKER

public static final SQLStates INVALID_PARAMETER_MARKER

### TRUNCATION

public static final SQLStates TRUNCATION

### INVALID_CURSOR_STATE

public static final SQLStates INVALID_CURSOR_STATE

### INVALID_BUFFER_LENGTH

public static final SQLStates INVALID_BUFFER_LENGTH

### NO_ROW_DATA

public static final SQLStates NO_ROW_DATA

### INVALID_MATRIX_LITERAL

public static final SQLStates INVALID_MATRIX_LITERAL

### WRONG_SHAPE_MATRIX_LITERAL

public static final SQLStates WRONG_SHAPE_MATRIX_LITERAL

### EXCESSIVE_COST

public static final SQLStates EXCESSIVE_COST

### ML_MODEL_ON_EMPTY_SET

public static final SQLStates ML_MODEL_ON_EMPTY_SET

### NO_RESULT_SET

public static final SQLStates NO_RESULT_SET

### MISSING_NULL_INDICATOR

public static final SQLStates MISSING_NULL_INDICATOR

### INVALID_CONN_STR_ATTR

public static final SQLStates INVALID_CONN_STR_ATTR

### INVALID_DESCRIPTOR_INDEX

public static final SQLStates INVALID_DESCRIPTOR_INDEX

### INVALID_DESCRIPTOR_INFORMATION

public static final SQLStates INVALID_DESCRIPTOR_INFORMATION

### INVALID_DESCRIPTOR_FIELD

public static final SQLStates INVALID_DESCRIPTOR_FIELD

### COPY_TARGET_IS_IRD

public static final SQLStates COPY_TARGET_IS_IRD

### INVALID_IMPLICIT_DESC_HANDLE_USE

public static final SQLStates INVALID_IMPLICIT_DESC_HANDLE_USE

### NO_CREATE_MLMODEL_AUTH

public static final SQLStates NO_CREATE_MLMODEL_AUTH

### NO_DROP_MLMODEL_AUTH

public static final SQLStates NO_DROP_MLMODEL_AUTH

### DIVDE_BY_ZERO

public static final SQLStates DIVDE_BY_ZERO

### OUT_OF_RANGE

public static final SQLStates OUT_OF_RANGE

### INVALID_FLOATING_POINT_OPERATION

public static final SQLStates INVALID_FLOATING_POINT_OPERATION

### CONFLICT

public static final SQLStates CONFLICT

### OPERATION_CANCELED

public static final SQLStates OPERATION_CANCELED

### INVALID_QUERY_PRIORITY

public static final SQLStates INVALID_QUERY_PRIORITY

### IO_ERROR

public static final SQLStates IO_ERROR

### INCOMPATIBLE_TYPES_IN_CASE

public static final SQLStates INCOMPATIBLE_TYPES_IN_CASE

### NOT_COMPATIBLE_COLS

public static final SQLStates NOT_COMPATIBLE_COLS

### JOIN_LEADS_TO_DUPLICATE_COL_NAME

public static final SQLStates JOIN_LEADS_TO_DUPLICATE_COL_NAME

### SCALAR_SUBQUERY_CARDINALITY_VIOLATION

public static final SQLStates SCALAR_SUBQUERY_CARDINALITY_VIOLATION

### INVALID_CASE_CONDITION

public static final SQLStates INVALID_CASE_CONDITION

### INVALID_JOIN_CONDITION

public static final SQLStates INVALID_JOIN_CONDITION

### AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION

public static final SQLStates AGGREGATION_NOT_ALLOWED_IN_WINDOW_CONSTRUCTION

### EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT

public static final SQLStates EXPECTED_CONST_WINDOWED_AGGREGATE_ARGUMENT

### BAD_RANGE_FRAME_SPECIFICATION

public static final SQLStates BAD_RANGE_FRAME_SPECIFICATION

### BAD_WINDOWED_ORDER_BY

public static final SQLStates BAD_WINDOWED_ORDER_BY

### FRAME_WITHOUT_ORDERING

public static final SQLStates FRAME_WITHOUT_ORDERING

### BAD_END_FRAME_BOUND

public static final SQLStates BAD_END_FRAME_BOUND

### BAD_START_FRAME_BOUND

public static final SQLStates BAD_START_FRAME_BOUND

### INVALID_FRAME_BOUNDS

public static final SQLStates INVALID_FRAME_BOUNDS

### FRAME_SPEC_NOT_ALLOWED

public static final SQLStates FRAME_SPEC_NOT_ALLOWED

### WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT

public static final SQLStates WINDOW_FUNC_EXPECTED_POSITIVE_CONSTANT

### UNDEFINED_EXCEPTION

public static final SQLStates UNDEFINED_EXCEPTION

### MISSING_ORDER_BY

public static final SQLStates MISSING_ORDER_BY

### PLAN_COMPILATION_ERROR

public static final SQLStates PLAN_COMPILATION_ERROR

### UNABLE_TO_INVERT_SINGULAR_MATRIX

public static final SQLStates UNABLE_TO_INVERT_SINGULAR_MATRIX

### UNABLE_TO_DECOMPOSE_SINGULAR_MATRIX

public static final SQLStates UNABLE_TO_DECOMPOSE_SINGULAR_MATRIX

### TKT_LIMIT_REACHED

public static final SQLStates TKT_LIMIT_REACHED

### OUT_OF_MEMORY

public static final SQLStates OUT_OF_MEMORY

### SEGMENT_NOT_AVAILABLE

public static final SQLStates SEGMENT_NOT_AVAILABLE

### SYSTEM_INITIALIZING

public static final SQLStates SYSTEM_INITIALIZING

### INVALID_AGGREGATION

public static final SQLStates INVALID_AGGREGATION

### ST_POINT_INVALID_CONVERSION_FROM_NULL

public static final SQLStates ST_POINT_INVALID_CONVERSION_FROM_NULL

### VALUE_TOO_LARGE

public static final SQLStates VALUE_TOO_LARGE

### CASE_WITHIN_CASE

public static final SQLStates CASE_WITHIN_CASE

### OUT_OF_TEMP_DISK_SPACE

public static final SQLStates OUT_OF_TEMP_DISK_SPACE

### INVALID_NEW_USER_PWD

public static final SQLStates INVALID_NEW_USER_PWD

### PRIVILEGE_ALREADY_POSSESSED

public static final SQLStates PRIVILEGE_ALREADY_POSSESSED

### PRIVILEGE_NOT_POSSESSED

public static final SQLStates PRIVILEGE_NOT_POSSESSED

### NO_GRANT_AUTH

public static final SQLStates NO_GRANT_AUTH

### NODE_NOT_FOUND

public static final SQLStates NODE_NOT_FOUND

### TASK_ALREADY_IN_PROGRESS

public static final SQLStates TASK_ALREADY_IN_PROGRESS

### ID_NOT_FOUND

public static final SQLStates ID_NOT_FOUND

### ROLE_NOT_FOUND

public static final SQLStates ROLE_NOT_FOUND

## Method Details

### newGenericException

public static final SQLException newGenericException​(Exception e)

### clone

public SQLException clone()

Overrides:
  `clone` in class `Object`

### cloneAndSpecify

public SQLException cloneAndSpecify​(String newReason)

### equals

public boolean equals​(SQLException e)

### getSqlCode

public int getSqlCode()

### getSqlState

public String getSqlState()